Bug 200070 - www/squid: Update to 3.5.5
Summary: www/squid: Update to 3.5.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Florian Smeets
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-05-09 10:58 UTC by timp87
Modified: 2015-06-07 21:04 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback+


Attachments
patch (2.24 KB, patch)
2015-05-09 10:58 UTC, timp87
no flags Details | Diff
poudriere log (984.77 KB, text/plain)
2015-05-09 10:58 UTC, timp87
no flags Details
patch (2.24 KB, patch)
2015-05-11 17:25 UTC, timp87
no flags Details | Diff
patch (2.20 KB, patch)
2015-05-12 07:23 UTC, timp87
no flags Details | Diff
squid-3.5.5 patch (2.20 KB, patch)
2015-05-29 07:42 UTC, timp87
koobs: maintainer-approval+
Details | Diff
poudriere log (985.05 KB, text/plain)
2015-05-29 08:48 UTC, timp87
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description timp87 2015-05-09 10:58:26 UTC
Created attachment 156556 [details]
patch

- update www/squid to latest version;
- fix GASSAPI_NONE handling;
- unbreak eCAP option, but only for FreeBSD < 10, no luck with clang.
Comment 1 timp87 2015-05-09 10:58:48 UTC
Created attachment 156557 [details]
poudriere log
Comment 2 Yuri Victorovich freebsd_committer 2015-05-09 18:51:44 UTC
Sholdn't 
> ${OSVERSION} > 1000000
be
> ${OSVERSION} >= 1000000
?
Comment 3 Yuri Victorovich freebsd_committer 2015-05-09 19:00:52 UTC
Also, did you report this clang issue to squid bugzilla?
Comment 4 Yuri Victorovich freebsd_committer 2015-05-09 19:06:07 UTC
Instead of
> BROKEN=			Squid with eCAP enabled can't be compiled by clang
you could say
> USE_GCC=yes
?
Comment 5 timp87 2015-05-10 20:00:43 UTC
(In reply to yuri from comment #2)
> Sholdn't 
>> ${OSVERSION} > 1000000
> be
>> ${OSVERSION} >= 1000000
> ?

That's right! Thanks!

> Also, did you report this clang issue to squid bugzilla?

Of course!
http://bugs.squid-cache.org/show_bug.cgi?id=4242

> Instead of
>> BROKEN=			Squid with eCAP enabled can't be compiled by clang
> you could say
>> USE_GCC=yes
> ?

Yes, but I think a lot of people would say it's not worth it. But I can be wrong.
Comment 6 Yuri Victorovich freebsd_committer 2015-05-10 20:03:31 UTC
I thought it is better to build with gcc rather than break it, but this is your call. I know nothing about this option :-)
Comment 7 timp87 2015-05-10 20:32:00 UTC
(In reply to yuri from comment #6)
Hmm, looks like I can set it right there, instead of BROKEN. I'll test it. Thanks a lot!
Comment 8 timp87 2015-05-11 07:09:07 UTC
(In reply to timp87 from comment #7)
I realized that it works if libecap is built by gcc too.
Comment 9 Yuri Victorovich freebsd_committer 2015-05-11 07:13:37 UTC
If this is C++ you are there, you can't mix gcc and clang. Then it's better to have BANNED.
Comment 10 Yuri Victorovich freebsd_committer 2015-05-11 07:14:05 UTC
Sorry, BROKEN
Comment 11 timp87 2015-05-11 07:22:13 UTC
(In reply to yuri from comment #9)
Or I can make a patch for www/libecap with the same condition and USE_GCC=yes
Comment 12 Yuri Victorovich freebsd_committer 2015-05-11 07:24:45 UTC
If other ports will also use it, this is going to start the string of dependency problems. Better not spread gcc-compiled C++ ports. This in itself is a very nasty problem, such dependencies.
Comment 13 timp87 2015-05-11 08:06:25 UTC
(In reply to yuri from comment #12)
Yes, I know. But it seems like squid is the only port which uses www/libecap.
Comment 14 timp87 2015-05-11 17:25:24 UTC
Created attachment 156662 [details]
patch
Comment 15 timp87 2015-05-11 17:29:28 UTC
Patch is ready to deploy.

We will see how soon squid's developers fix clang compilation problem.
If someone complains about BROKEN on FreeBSD >= 10 I will make a patch with USE_GCC=yes for squid and libecap.
Comment 16 timp87 2015-05-12 07:23:20 UTC
Created attachment 156684 [details]
patch

DragonFlyBSD can use our ports tree, so add ${OPSYS} == FreeBSD condition to ECAP option.
Comment 17 timp87 2015-05-26 18:52:37 UTC
Hmm, this version of squid has some problems with HTTPS stuff. I got such problems in my production. So I think this patch shouldn't go to the ports tree.

I'll highlight more info later.
Comment 18 timp87 2015-05-29 07:42:14 UTC
Created attachment 157243 [details]
squid-3.5.5 patch

Patch to update www/squid to latest 3.5.5 version.
I'm running it in production and have no problems. We'll see.
Comment 19 timp87 2015-05-29 08:48:30 UTC
Created attachment 157246 [details]
poudriere log
Comment 20 timp87 2015-06-02 13:14:03 UTC
(In reply to timp87 from comment #18)
No problems since then. I think it can go to the ports tree.
Comment 21 Florian Smeets freebsd_committer 2015-06-07 21:03:41 UTC
Committed. Thanks!
Comment 22 commit-hook freebsd_committer 2015-06-07 21:04:04 UTC
A commit references this bug:

Author: flo
Date: Sun Jun  7 21:03:26 UTC 2015
New revision: 388783
URL: https://svnweb.freebsd.org/changeset/ports/388783

Log:
  - update to 3.5.5
  - fix GASSAPI_NONE handling;
  - unbreak eCAP option, but only for FreeBSD < 10, no luck with clang.

  PR:		200070
  Submitted by:	<timp87@gmail.com> (maintainer)

Changes:
  head/www/squid/Makefile
  head/www/squid/distinfo
  head/www/squid/files/patch-configure_GSSAPI_NONE